Sikkerhedsopdatering til .NET Framework 3.5.1, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, 4.7.2, 4.8 til Windows 7 SP1 og Windows Server 2008 R2 SP1 (KB4580467)

Bemærk!

Revideret 08-06-2021

Den 8. juni 2021 blev denne opdatering udgivet til at erstatte en tidligere opdatering for at løse en fejl med "tilbagekaldelsesserveren var offline", der kan opstå under installationen. Hvis du allerede har installeret en tidligere version af denne opdatering, kræves der ingen handling. Hvis du vil hente den nyeste version af disse opdateringer, skal du se afsnittet "Sådan henter og installerer du opdateringen" i den enkelte opdateringsartikel.  Links til hver artikel findes i afsnittet "Yderligere oplysninger om denne opdatering" i denne artikel.

Den 13. april 2021 blev denne opdatering udgivet til at erstatte en tidligere version af denne opdatering.

Gælder for:

Microsoft .NET Framework 3.5.1 Microsoft .NET Framework 4.5.2 Microsoft .NET Framework 4.6 Microsoft .NET Framework 4.6.1 Microsoft .NET Framework 4.6.2 Microsoft .NET Framework 4.7 Microsoft .NET Framework 4.7.1 Microsoft .NET Framework 4.7.2 Microsoft .NET Framework 4.8

VIGTIGT Kontrollér, at du har installeret de nødvendige opdateringer, der er angivet i afsnittet Sådan henter du denne opdatering, før du installerer denne opdatering. 

VIGTIGTNogle kunder, der bruger Windows Server 2008 R2 SP1 og har aktiveret deres MAK-tilføjelsesprogrammet (ESU multiple activation key), før de installerer opdateringerne for 14. januar 2020, skal muligvis genaktivere nøglen. Genaktivering på de berørte enheder bør kun være påkrævet én gang.  Du kan finde oplysninger om aktivering i dette blogindlæg.

VIGTIGTWSUS scan cab-filer vil fortsat være tilgængelige for Windows 7 SP1 og Windows Server 2008 R2 SP1. Hvis du har et undersæt af enheder, der kører disse operativsystemer uden ESU, vises de muligvis som ikke-kompatible i dine værktøjer til styring af programrettelser og overholdelse af regler og standarder.

VIGTIGT Kunder, der har købt den udvidede sikkerhedsopdatering (ESU) til lokale versioner af disse operativsystemer, skal følge procedurerne i KB4522133 for at fortsætte med at modtage sikkerhedsopdateringer, når den udvidede support slutter d. 14. januar 2020. Du kan finde flere oplysninger om ESU, og hvilke versioner der understøttes, under KB4497181.

VIGTIGT Pr. 15. januar 2020 vises der en fuldskærmsmeddelelse, der beskriver risikoen for fortsat at bruge Windows 7 Service Pack 1, når supporten når supporten slutter den 14. januar 2020. Meddelelsen forbliver på skærmen, indtil du interagerer med den. Denne meddelelse vises kun på følgende udgaver af Windows 7 Service Pack 1:

Bemærk!Meddelelsen vises ikke på computere eller maskiner, der er forbundet med domæne, i kiosktilstand.

VIGTIGT Fra og med august 2019 opdateres .NET Framework 4.6 og derover til Windows Server 2008 R2 SP1 og Windows 7SP1 kræver SHA-2-kodeunderstøttelse. Sørg for, at du har alle de nyeste Windows-opdateringer, før du anvender denne opdatering, for at undgå installationsproblemer. Du kan finde flere oplysninger om supportopdateringer til SHA-2-kodesignering i KB 4474419.

VIGTIGT Alle opdateringer til .NET Framework 4.7.2, 4.7.1, 4.7, 4.6.2, 4.6.1 og 4.6 kræver, at d3dcompiler_47.dll-opdateringen er installeret. Vi anbefaler, at du installerer den medfølgende d3dcompiler_47.dll, før du anvender denne opdatering. Du kan finde flere oplysninger d3dcompiler_47.dll under KB 4019990.

VIGTIGT Hvis du installerer en sprogpakke, efter du har installeret denne opdatering, skal du geninstallere denne opdatering. Vi anbefaler derfor, at du installerer alle de sprogpakker, du har brug for, før du installerer denne opdatering. Få mere at vide under Føj sprogpakker til Windows.

Oversigt

Der er en sikkerhedsrisiko, når .NET Framework håndterer objekter i hukommelsen forkert. En hacker, der har udnyttet sikkerhedsrisikoen, kan afsløre indhold i et påvirket systems hukommelse. Hvis du vil udnytte sikkerhedsrisikoen, skal en godkendt hacker køre en særligt udformet program. Opdateringen adresserer sikkerhedsrisikoen ved at rette, hvordan .NET Framework håndterer objekter i hukommelsen.

Du kan få mere at vide om sårbarhederne ved at gå til følgende almindelige sikkerhedsrisici og eksponeringer (CVE).

Kendte problemer i nogle dele af denne opdatering

Symptom

Denne opdatering installeres ikke, og den returnerer en eller begge af følgende fejlmeddelelser:

  • -2146762495

  • Et påkrævet certifikat er ikke inden for dets gyldighedsperiode, når der bekræftes i forhold til det aktuelle systemur eller tidsstemplet i den signerede fil.

  • Tilbagekaldsfunktionen kunne ikke kontrollere tilbagekaldsfunktionen, fordi tilbagekaldsserveren var offline.

Løsning

Dette problem blev rettet i den nyeste version af de berørte dele i denne opdatering.

Hvis du allerede har installeret en tidligere version af de berørte dele, kræves der ingen handling.

Yderligere oplysninger om denne opdatering

De følgende artikler indeholder yderligere oplysninger om denne opdatering, der relaterer til individuelle produktversioner.

  • 4578980 Beskrivelse af sikkerhedsopdateringen til .NET Framework 3.5.1 til Windows 7 SP1 og Windows Server 2008 R2 SP1 (KB4578980)

  • 4578983 Beskrivelse af sikkerhedsopdateringen til .NET Framework 4.5.2 til Windows 7 SP1 og Windows Server 2008 R2 SP1 og Windows Server 2008 SP2 (KB4578983)

  • 4578987 Beskrivelse af sikkerhedsopdateringen til .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, 4.7.2 til Windows 7 SP1 og Windows Server 2008 R2 SP1 og Windows Server 2008 SP2 (KB4578987)

  • 4578990 Beskrivelse af sikkerhedsopdateringen til .NET Framework 4.8 til Windows 7 SP1 og Windows Server 2008 R2 SP1 (KB4578990)

Oplysninger om beskyttelse og sikkerhed

Har du brug for mere hjælp?

Udvid dine færdigheder
Gå på opdagelse i kurser
Få nye funktioner først
Deltag i Microsoft insiders

Var disse oplysninger nyttige?

Tak for din feedback!

Tak for din feedback! Det lyder, som om det vil kunne hjælpe, hvis du bliver sat i forbindelse med en af vores Office-supportteknikere.

×